html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.bet_table, .bet_made_table {
    width: 100%;
    margin-top: 20px;
    margin-left: -35px;
}

.price_check_table{
    width: 100%;
    margin-top: 20px;
    margin-left: -35px;
}
    .price_check_table thead tr:nth-child(1) th {
        width: 130px;
        text-align: center;
        height: 40px;
        white-space: nowrap;
    }

.price_check_table thead tr:nth-child(2) th {
}

    .price_check_table thead tr:nth-child(2) th {
        text-align: right;
        white-space: nowrap;
    }

.price_check_table thead tr th:first-of-type {
    width: 230px;
}

.price_check_table thead tr:last-of-type {
    border-bottom: 1px solid;
}
    
    .price_check_table thead tr:nth-child(1) th:nth-child(2) {
        background-color: #eb9025; /*Actionbets*/
    }
    .price_check_table thead tr:nth-child(1) th:nth-child(3) {
        background-color: #0F1867;
        color: white !important; /*BetVegas365*/
    }

    .price_check_table thead tr:nth-child(1) th:nth-child(4) {
        background-color: #115292;
        color: white !important; /*BetWar	*/
    }
    .price_check_table thead tr:nth-child(1) th:nth-child(5) {
        background-color: #b9e4f7;/*Diamond*/
    }
    .price_check_table thead tr:nth-child(1) th:nth-child(6) {
        background-color: aliceblue; /*goldsb*/
    }

    .price_check_table thead tr:nth-child(1) th:nth-child(7) {
        background-color:   mistyrose; /*LinesAG*/
    }
    .price_check_table thead tr:nth-child(1) th:nth-child(8) {
        background-color: #EAE5A7; /*sun22*/
    }
    .price_check_table thead tr:nth-child(1) th:nth-child(9) {
        background-color: #b1e0b8; /*wagerhub888*/
    }

    .price_check_table thead tr:nth-child(1) th:nth-child(10) {
        background-color: #FFE4C4; /* sports411*/
    }

    .price_check_table thead tr:nth-child(1) th:nth-child(11) {
        background-color: #DCDCDC; /*pinnacle*/
    }

    .price_check_table thead tr:nth-child(1) th:nth-child(12) {
        background-color: #cac8c8;
    }
    .price_check_table thead tr:nth-child(1) th:nth-child(13) {
        background-color: #FF6C2C;
    }
    .price_check_table thead tr:nth-child(1) th:nth-child(14) {
        background-color: #666F39;
        color: white !important;
    }


.price_check_table tbody tr td {
    text-align:right;   
    white-space:nowrap;
}
    .price_check_table tbody tr td:first-of-type {
        text-indent: 10px;
        text-align: left;
    }

    /*.price_check_table tbody tr:nth-child(4n+1) {
        background-color: honeydew;
        border-top: 2px solid #8b7e7e;
    }

    .price_check_table tbody tr:nth-child(4n+3) {
        background-color: lavenderblush;
    }*/
    .price_check_table tbody tr:nth-child(4n+4) {
        border-bottom: 2px solid #8b7e7e;
    }


.recent_updated {
    background-color:orangered !important;
    animation: fade 1.5s infinite 100ms;
}
.error_message {
    color: red;
}

@-webkit-keyframes fade {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@keyframes fade {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

.loader_container {
    width: 100%;
    align-content: center;
    text-align:center;
}

.lds-grid {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;    
    margin:auto;
}   

    .lds-grid div {
        position: absolute;
        width: 16px;
        height: 16px;
        border-radius: 50%;
        background: dodgerblue;
        animation: lds-grid 1.2s linear infinite;        
    }

        .lds-grid div:nth-child(1) {
            top: 8px;
            left: 8px;
            animation-delay: 0s;
        }

        .lds-grid div:nth-child(2) {
            top: 8px;
            left: 32px;
            animation-delay: -0.4s;
        }

        .lds-grid div:nth-child(3) {
            top: 8px;
            left: 56px;
            animation-delay: -0.8s;
        }

        .lds-grid div:nth-child(4) {
            top: 32px;
            left: 8px;
            animation-delay: -0.4s;
        }

        .lds-grid div:nth-child(5) {
            top: 32px;
            left: 32px;
            animation-delay: -0.8s;
        }

        .lds-grid div:nth-child(6) {
            top: 32px;
            left: 56px;
            animation-delay: -1.2s;
        }

        .lds-grid div:nth-child(7) {
            top: 56px;
            left: 8px;
            animation-delay: -0.8s;
        }

        .lds-grid div:nth-child(8) {
            top: 56px;
            left: 32px;
            animation-delay: -1.2s;
        }

        .lds-grid div:nth-child(9) {
            top: 56px;
            left: 56px;
            animation-delay: -1.6s;
        }

@keyframes lds-grid {
    0%, 100% {
        opacity: 1;
    }

    50% {
        opacity: 0.5;
    }
}


.hide {
 display:none!important;
}

.hidden {    
    width:0px;
}

.price_check_table tbody tr {
    cursor: pointer;
    
}
    

.row_selected {    
    border-bottom: 2px solid red !important;    
}

    .row_selected td:first-child::before {  
        color: red !important;
        content: "✔";
        margin-left: -40px;        
        position: absolute !important;        
        /*background-color: azure;    */    
        text-align: center;
        text-indent: 0px;
        z-index: 5 !important;
    }

.price_check_table tbody tr:hover  {
    background-color: white;
    color: black;
    cursor: pointer;
}

.bet_table tbody tr:nth-child(1n) {
    background-color: honeydew;
}

.bet_table tbody tr:nth-child(2n) {
    background-color: lavenderblush;
}

.bg-red {
    background-color: #e0a3a3 !important;
}


    tr.tr_edge td:has(div) {        
        text-align: right;
    }


.sports_edge, .pinnacle_edge, .manual_edge {
    display: inline;
}

.pinnacle_edge {
    background-color: gainsboro;
    
}


.sports_edge {
    background-color: bisque;
    margin-right: 7px;
}

.Over::before, .Under::before {
    content: "█";
    padding-right: 6px;
    font-size: 11px;
}
.Over::before {
    color: honeydew;
}

.Under::before {
    color: lavenderblush;
}

.edge_input_manual {
    background-color:transparent;
    border:none;
    text-align:right;
    width:70px;
    height:15px
}

    .edge_input_manual:focus {
        outline: none;
    }


a.betting_page, a.bet_type {
    cursor: pointer;
    color: black;
    text-decoration: none;
    display: inline-block;
    width: 100%;
    text-indent: 25px;
}



a.betting_page.disabled, a.bet_type.disabled {
    cursor: not-allowed;
    color: gray;
    pointer-events: none;
}


    a.betting_page.selected::before, a.bet_type.selected::before {
        content: "✔";
        position: absolute;
        left: -20px;
        margin-top: 5px;
        font-size: 12px;
        color: green;
    }


#chart_container {
    position: absolute !important;
    left: 0px;
}

betmade {
    position: absolute;
    margin-top: 460px;
    width: 100%;
    left: 0px;
}
    betmade table {
        width: 35%;
        margin: auto;
        white-space: nowrap;
    }

        betmade table tr th {
            text-transform: capitalize;
        }

        betmade table tr th {
            background-color: #bdb9b9       
        }

        betmade table tr:nth-child(even) {
            background-color:#eae8e8;
        }

        betmade table tr:nth-child(even) {
            /*background-color: #8b7e7e;*/
        }

#title {
    text-transform: capitalize;
}


.dropdown-item {
    padding: 10px !important;

}

.bet_made_table thead tr th {
    text-align: center;
}

.bet_made_table thead tr:nth-child(1) th:nth-child(6) {
    /*background-color: #cdc9c9;*/
    background-color: #464646;
    color: white;
}
.bet_made_table thead tr:nth-child(1) th:nth-child(8) {
    background-color: #464646;
    color: white;
}
    .bet_made_table thead tr:nth-child(2) th:nth-child(7) {
        background-color: bisque;
    }

    .bet_made_table thead tr:nth-child(2) th:nth-child(8) {
        background-color: #0F1867;
        color: white !important;
    }

    .bet_made_table thead tr:nth-child(2) th:nth-child(9) {
        background-color: #115292;
        color: white !important;
    }
    .bet_made_table thead tr:nth-child(2) th:nth-child(10) {
        background-color: bisque;
    }

    .bet_made_table thead tr:nth-child(2) th:nth-child(11) {
        background-color: #0F1867;
        color: white !important;
    }

.bet_made_table thead tr:nth-child(2) th:nth-child(12) {
    background-color: #115292;
    color: white !important;
}

/*.bet_made_table tbody tr.visitor {
    background-color: honeydew;
    
}
.bet_made_table tbody tr.home {
    background-color: lavenderblush;
}*/

.bet_made_table tbody tr td:nth-child(2), .bet_made_table tbody tr td:nth-child(3), .bet_made_table tbody tr td:nth-child(4) {
    text-align: center;
}


.bet_made_table .bet-data {
    text-align: right!important;
}

.bet_made_table .last_edde {
    border-bottom: 2px solid;
}

.bet_made_table .edge td:not(.edge-total-col) {
    text-align: right !important;
    text-wrap: nowrap;
}

.bet_made_table tbody tr:first-of-type {
    border-top: 2px solid;
}

.bet_made_table .bet-close-ok {
    color: green !important;
    text-align: center !important;   
    font-size: 25px;
}

.bet_made_table .bet-close-none {
    color: red !important;
    text-align: center;
    font-size:25px;
}

.bet_totals_table {
    width: 80%;
    margin: auto;
}

.bet_made_table thead tr:nth-child(2) th:nth-child(-1n+1), .bet_made_table thead tr:nth-child(2) th:nth-child(5n+4) {
    background-color: bisque;
}
.bet_made_table thead tr:nth-child(2) th:nth-child(5n+2), .bet_made_table thead tr:nth-child(2) th:nth-child(5n+5) {
    background-color: gainsboro;
}

.bet_made_table thead tr:nth-child(1) th:nth-child(-n+5), .bet_made_table tbody tr td:nth-child(-n+5) {
    text-align: left;
}

.bet_totals_table tbody tr td:nth-child(-n+6) {
    /*padding-right: 95px;*/
    white-space: nowrap;
}



BetMade tbody tr td:nth-child(-n+5) {
    padding-right: 120px;
    white-space: nowrap;
}

.bet_made_table .bet-data {
    text-align: left !important;
    text-wrap: nowrap;
}

.HallHealth_table {
    width: 85%;
    margin: auto;
    white-space: nowrap;
    
}
    .HallHealth_table thead {
        text-transform: capitalize;
        background-color: #bdb9b9;
        text-align: center;
    }
    .HallHealth_table tbody {
        text-transform: capitalize;
        text-align: center;
    }

.container .form {
    width: 100%;
    margin: auto;
    white-space: nowrap;
}

/**/
.form .res { 
    margin-left:65px;
    color: black;
    font-size: 20px;
    font-family: sans-serif;
    margin:auto;

}
.form input {
    width: 95px;
    height:min-content;
}
.form label {
    display: inline-block;
    /*width: 178px;*/
    width:190px;
}

.icon-calc {
   position: absolute; 
}

.hide {
    display:none;
}

.focus {
    cursor:inherit;
    color:red;
    
    
}
.containerForm {
    margin: -10px;
    margin-top:auto;
}


.animated {
    -webkit-animation-duration: 3s;
    animation-duration: 3s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes flash {
    0%, 10%, 20%, 30%, 40%, 50%, 60%, 70%, 80%, 90%, 100% {
        opacity: 1;
    }

    5%, 15%, 25%, 35%, 45%, 55%, 65%, 75%, 85%, 95% {
        opacity: 0;
    }
}

@keyframes flash {
    0%, 10%, 20%, 30%, 40%, 50%, 60%, 70%, 80%, 90%, 100% {
        opacity: 1;
    }

    5%, 15%, 25%, 35%, 45%, 55%, 65%, 75%, 85%, 95% {
        opacity: 0;
    }
}

.flash {
    -webkit-animation-name: flash;
    animation-name: flash;
    background-color:yellow;
}

.dropdown-item {
    cursor: pointer;
    color: black;
    text-decoration: none;
    display: inline-block;
    width: 100%;
    text-indent: 25px;
}

    .dropdown-item.active::before {
        content: "✔";
        position: absolute;
        left: -20px;
        margin-top: 5px;
        font-size: 12px;
        color: green !important;
    }
    
    .dropdown-item.active, .dropdown-item:active {
        color: black;
        background-color: transparent !important;
        text-decoration: none;
        
    }


.sticky-header {
    position: sticky;
    top: 0;
    background-color: #fff;
}

#chartContainer {
    margin-top: 0px;
    background-color: transparent forestgreen;
}
.edge-total-col {
    text-align: left !important;
}
.status-bet {
    width:150px;
}
.td_2h_spread, .td_2h_total {
    background-color: lightgreen !important;
}
.green-background {
    background-color: green;
    color: black;
}
